
Backlog Courrier - Anomalie #10476

L'édition des modèles ne fonctionne plus 

04/30/2019 04:59 PM - Florian AZIZIAN

Status: Développé / Analysé (S) Start date: 04/30/2019

Priority: 0-Bloquant Due date:  

Assignee: EDI PO   

Category:    

Target version: 19.04 (Sécurité)   

Tags Courrier: 19.04.2   

Description

Surement lié à une version d'openjdk :

openjdk version "11.0.2" 2019-01-15

OpenJDK Runtime Environment (build 11.0.2+9-Ubuntu-3ubuntu118.04.3)

OpenJDK 64-Bit Server VM (build 11.0.2+9-Ubuntu-3ubuntu118.04.3, mixed mode, sharing)

History

#1 - 05/07/2019 02:36 PM - Emmanuel DILLARD

- Priority changed from 1-Majeur to 2-Sérieux

#2 - 05/10/2019 12:14 PM - Florian AZIZIAN

- Priority changed from 2-Sérieux to 0-Bloquant

Problème également visible chez EDI (windows), LAR (openjdk), et le loiret (windows).

Erreur Apache

#3 - 05/10/2019 12:19 PM - Emmanuel DILLARD

Sur Win 10 ::

Java Web Start 11.211.2.12 amd64

Utilisation de la version JRE 1.8.0_211-b12 Java HotSpot(TM) 64-Bit Server VM

Répertoire de base de l'utilisateur = C:\Users\EDI

c:   effacer la fenêtre de la console

f:   finaliser les objets de la file d'attente de finalisation

g:   nettoyer la mémoire

h:   afficher ce message d'aide

m:   imprimer le relevé d'utilisation de la mémoire

o:   déclencher la journalisation

p:   recharger la configuration du proxy

q:   masquer la console

r:   recharger la configuration des règles

s:   vider les propriétés système et de déploiement

t:   vider la liste des threads

v:   vider la pile des threads

0-5 : fixer le niveau de trace à 

Directory: C:\Users\EDI\maarchTmp not created

Directory: C:\Users\EDI\maarchTmp\logs not created

mai 10, 2019 12:17:16 PM com.maarch.MyLogger

INFOS: 

**** LAUNCHING APPLET ****

args[0]: http://217.70.190.26/MaarchCourrier/modules/content_management/applet_controller.php
args[1]: attachmentVersion

args[2]: res_letterbox

args[3]: 23

args[4]: 0

args[5]: MaarchCourrier=qef9kp4amuo9up3cqnv41u3pq0

args[6]:

maarchCourrierAuth=eyJpZCI6MTksInVzZXJJZCI6ImJiYWluIiwiY29va2llS2V5IjoiJDJ5JDEwJHlVVThWWm9SRHNVUVdiWVg2YVcyWk9ES2NMd2Ji

bVdWZzhvejBlbmRqSDJRQUs1SHRJYkx1In0=; MaarchCourrier=qef9kp4amuo9up3cqnv41u3pq0;

maarchCourrierAuth=eyJpZCI6MTksInVzZXJJZCI6ImJiYWluIiwiY29va2llS2V5IjoiJDJ5JDEwJHlVVThWWm9SRHNVUVdiWVg2YVcyWk9ES2NMd2Ji

bVdWZzhvejBlbmRqSDJRQUs1SHRJYkx1In0%3D

args[7]: bbain_maarchCM_623606455

args[8]: bbain

args[9]: false

args[10]: false

args[11]: 0

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: ----------CONTROL PARAMETERS----------

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: URL : http://217.70.190.26/MaarchCourrier/modules/content_management/applet_controller.php

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: OBJECT TYPE : attachmentVersion

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: ID APPLET : bbain_maarchCM_623606455

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: OBJECT TABLE : res_letterbox

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: OBJECT ID : 23

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: UNIQUE ID : 0

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: COOKIE : MaarchCourrier=qef9kp4amuo9up3cqnv41u3pq0

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: CLIENTSIDECOOKIES :

maarchCourrierAuth=eyJpZCI6MTksInVzZXJJZCI6ImJiYWluIiwiY29va2llS2V5IjoiJDJ5JDEwJHlVVThWWm9SRHNVUVdiWVg2YVcyWk9ES2NMd2Ji

bVdWZzhvejBlbmRqSDJRQUs1SHRJYkx1In0=; MaarchCourrier=qef9kp4amuo9up3cqnv41u3pq0;

maarchCourrierAuth=eyJpZCI6MTksInVzZXJJZCI6ImJiYWluIiwiY29va2llS2V5IjoiJDJ5JDEwJHlVVThWWm9SRHNVUVdiWVg2YVcyWk9ES2NMd2Ji

bVdWZzhvejBlbmRqSDJRQUs1SHRJYkx1In0%3D

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: USERMAARCH : bbain

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: CONVERTPDF : false

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: ONLYCONVERT : false

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: MD5FILE : 0

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: --------------------------------------

DOMAIN USED IS: 217.70.190.26

----------END PARAMETERS----------

clientSideCookies :

maarchCourrierAuth=eyJpZCI6MTksInVzZXJJZCI6ImJiYWluIiwiY29va2llS2V5IjoiJDJ5JDEwJHlVVThWWm9SRHNVUVdiWVg2YVcyWk9ES2NMd2Ji

bVdWZzhvejBlbmRqSDJRQUs1SHRJYkx1In0=; MaarchCourrier=qef9kp4amuo9up3cqnv41u3pq0;

maarchCourrierAuth=eyJpZCI6MTksInVzZXJJZCI6ImJiYWluIiwiY29va2llS2V5IjoiJDJ5JDEwJHlVVThWWm9SRHNVUVdiWVg2YVcyWk9ES2NMd2Ji

bVdWZzhvejBlbmRqSDJRQUs1SHRJYkx1In0%3D

cookies : [Ljava.lang.String;@53b7cdbb

The generic Apache HttpClient was picked up

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: ----------CONTROL CLIENT SIDE----------

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: OS : Windows

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: TMP FOLDER : C:\Users\EDI\maarchTmp

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: APP PATH: null

----------BEGIN LOCAL DIR TMP IF NOT EXISTS----------

directory C:\Users\EDI\maarchTmp already exists

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: ---------------------------------------

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: The file is not found in maarchTmp folder.

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: RETRIEVE DOCUMENT ...

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: CALL : 
http://217.70.190.26/MaarchCourrier/modules/content_management/applet_controller.php?action=editObject&objectType=attachmentVersion&object

Table=res_letterbox&objectId=23&uniqueId=0

URL request : 

http://217.70.190.26/MaarchCourrier/modules/content_management/applet_controller.php?action=editObject&objectType=attachmentVersion&object

Table=res_letterbox&objectId=23&uniqueId=0

BUILT REQUEST: POST 

http://217.70.190.26/MaarchCourrier/modules/content_management/applet_controller.php?action=editObject&objectType=attachmentVersion&object

Table=res_letterbox&objectId=23&uniqueId=0 HTTP/1.1

FULL REQUESTPOST 

http://217.70.190.26/MaarchCourrier/modules/content_management/applet_controller.php?action=editObject&objectType=attachmentVersion&object

Table=res_letterbox&objectId=23&uniqueId=0 HTTP/1.1

COOKIES TO BE SENT: [[version: 0][name: MaarchCourrier][value: qef9kp4amuo9up3cqnv41u3pq0][domain: 217.70.190.26][path: /][expiry: null],

[version: 0][name: maarchCourrierAuth][value:

eyJpZCI6MTksInVzZXJJZCI6ImJiYWluIiwiY29va2llS2V5IjoiJDJ5JDEwJHlVVThWWm9SRHNVUVdiWVg2YVcyWk9ES2NMd2JibVdWZzhvejBlbmRq

SDJRQUs1SHRJYkx1In0%3D][domain: 217.70.190.26][path: /][expiry: null]]

----------BEGIN PARSE XML----------

[Fatal Error] :2:2: Le balisage du document suivant l'élément racine doit avoir un format correct.

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: ---------- RESPONSE SERVER ----------

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

GRAVE: Réponse inattendue du serveur : org.apache.http.client.entity.LazyDecompressingInputStream@f68e52e

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: CLOSING APPLET ...

mai 10, 2019 12:17:16 PM com.maarch.MyLogger log

INFOS: CALL : 

http://217.70.190.26/MaarchCourrier/modules/content_management/applet_controller.php?action=terminate&objectType=attachmentVersion&objectT

able=res_letterbox&objectId=23&uniqueId=0&idApplet=bbain_maarchCM_623606455&step=end&userMaarch=bbain&onlyConvert=false

URL request : 

http://217.70.190.26/MaarchCourrier/modules/content_management/applet_controller.php?action=terminate&objectType=attachmentVersion&objectT

able=res_letterbox&objectId=23&uniqueId=0&idApplet=bbain_maarchCM_623606455&step=end&userMaarch=bbain&onlyConvert=false

BUILT REQUEST: POST 

http://217.70.190.26/MaarchCourrier/modules/content_management/applet_controller.php?action=terminate&objectType=attachmentVersion&objectT

able=res_letterbox&objectId=23&uniqueId=0&idApplet=bbain_maarchCM_623606455&step=end&userMaarch=bbain&onlyConvert=false HTTP/1.1

FULL REQUESTPOST 

http://217.70.190.26/MaarchCourrier/modules/content_management/applet_controller.php?action=terminate&objectType=attachmentVersion&objectT

able=res_letterbox&objectId=23&uniqueId=0&idApplet=bbain_maarchCM_623606455&step=end&userMaarch=bbain&onlyConvert=false HTTP/1.1

COOKIES TO BE SENT: [[version: 0][name: MaarchCourrier][value: qef9kp4amuo9up3cqnv41u3pq0][domain: 217.70.190.26][path: /][expiry: null],

[version: 0][name: maarchCourrierAuth][value:

eyJpZCI6MTksInVzZXJJZCI6ImJiYWluIiwiY29va2llS2V5IjoiJDJ5JDEwJHlVVThWWm9SRHNVUVdiWVg2YVcyWk9ES2NMd2JibVdWZzhvejBlbmRq

SDJRQUs1SHRJYkx1In0%3D][domain: 217.70.190.26][path: /][expiry: null]]

----------BEGIN PARSE XML----------

----------END PARSE XML----------
#4 - 05/10/2019 12:19 PM - Emmanuel DILLARD

- Subject changed from L'édition des modèles ne fonctionne plus sur ubuntu to L'édition des modèles ne fonctionne plus 

#5 - 05/13/2019 10:53 AM - Emmanuel DILLARD

Edition en traitement (Bbain) KO

Edition en via administration OK

Version Java : 8 rev 211 (1.8.0_211-b12)

#6 - 05/13/2019 03:46 PM - Emmanuel DILLARD

- Project changed from Backlog to CURRENT SPRINT

- Status changed from Prêt à développer to En cours de dev (S)

#9 - 05/21/2019 10:13 AM - Emmanuel DILLARD

- Tags Courrier 19.04.2 added

#10 - 05/21/2019 11:39 AM - Emmanuel DILLARD

- Project changed from CURRENT SPRINT to Backlog

- Status changed from En cours de dev (S) to Développé / Analysé (S)

#11 - 06/09/2021 11:06 AM - Emmanuel DILLARD

- Project changed from Backlog to Backlog Courrier

- Target version changed from 19.04 (Support sécurité) to 19.04 (Sécurité)
